> ## Name

> cgIsProgramCompiled - determine if a program has been compiled

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsProgramCompiled( CGprogram program );

> ## Parameters

> program
>   The program.

> ## Return Values

> Returns CG_TRUE if program has been compiled.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsProgramCompiled returns CG_TRUE if program has been compiled and CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgIsProgramCompiled was introduced in Cg 1.1.

> ## See Also

> cgCompileProgram, cgSetAutoCompile